Subject: Can't assign a module name with getenv/2

From: "Jean-Francois Rompre" <[email-masked]>
Date: Sun, 6 Jun 1999 17:02:25 -0400

Hello,

I would be grateful for any advice with the following 
problem.

In my load file, I use getenv to obtain the search path
used to make it possible to call use_module as follows:

	use_module( util( util)),
	use_module( interface( history)),
	etc...

However, when I try to obtain the module name itself, e.g.
display( prt), from a stored env. variable, the system can't find it.
When I instead  use 'display( prt)' in hardcoded form , everything
works like a charm.

In other words, I am trying to do this: create the variable DPY in
a shell script :
	...
	DPY="display( prt)";export DPY
	...
	< pl command>

which then starts prolog with the application loading
file and the initialization clause. The intialization clause then
creates an exception when 
	...
	getenv( 'DPY',  DisplayModule),
	use_module( DisplayModule ),	
	 ...
But when I replace the above two statements  with

	....
	use_module( display( prt)	),
	....
it compiles without any error message.

Thanks for your help!

Cheers,

J.-F.